﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace Trådeksempel10_TrådOgResourceMonitor
{
    public class TrådVis
    {
        private TaellerMonitor taellerMonitor;		// fælles monitor for trådene
        private bool stop = false;

        // Konstruktør som medtager monitor
        public TrådVis(TaellerMonitor taellerMonitor)
        {
            this.taellerMonitor = taellerMonitor;
        }

        // 
        public void Vis()
        {
            while (!stop)
            {
                int taeller = taellerMonitor.GetTaeller();
                Console.WriteLine(taeller);
                Thread.Sleep(1000);
            }
        }
        public void SignalStop()
        {
            stop = true;
        }
    }
}
