﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Trådeksempel10_TrådOgResourceMonitor
{
    public class TrådNedtæl
    {
        private TaellerMonitor taellerMonitor;		// fælles monitor for trådene
        private bool stop = false;

        // Konstruktør som medtager monitor
        public TrådNedtæl(TaellerMonitor taellerMonitor)
        {
            this.taellerMonitor = taellerMonitor;
        }

        // Tæller én ned
        public void Nedtael()
        {
            while (!stop)
            {
                taellerMonitor.Nedtael();
            }
        }
        public void SignalStop()
        {
            stop = true;
        }
    }
}
