﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Trådeksempel10_TrådOgResourceMonitor
{
    public class TrådOptæl
    {
        private TaellerMonitor taellerMonitor;		// fælles monitor for trådene
        private bool stop = false;

        // Konstruktør som medtager monitor
        public TrådOptæl(TaellerMonitor taellerMonitor)
        {
            this.taellerMonitor = taellerMonitor;
        }

        // Tæller én op
        public void Optael()
        {
            while (!stop)
            {
                taellerMonitor.Optael();
            }
        }
        public void SignalStop()
        {
            stop = true;
        }
    }
}
